<?php


function kradio_return_callback() {
$issue 				= strip_tags($_POST['issue']);
$mesaj 				= strip_tags($_POST['mesaj']);
$select 			= strip_tags($_POST['select']);
$bildirim_send 		= strip_tags($_POST['bildirim_send']);
$song_play_on_off 	= strip_tags($_POST['song_play_on_off']);

if($bildirim_send == 2){
	
	$bildirim_send_url 	= strip_tags($_POST['bildirim_send_url']);

} 

if($bildirim_send == 3){
	
	$bildirim_editor 	= strip_tags($_POST['bildirim_editor']);
	$bildirim_send_url 	=  plugin_dir_url( __FILE__ ) . '/' . 'notification_info_page.php';
} 



$data = array('message' => $mesaj, 'bildirim_send' => $bildirim_send, 'bildirim_send_url' => $bildirim_send_url, 'bildirim_editor' => $bildirim_editor, 'song_play_on_off' => $song_play_on_off );

$sending = kRadiosendPushNotification($data, $issue);

if($sending){

$array['sonuc'] = 1;

}else {

$array['sonuc'] = 0;	
	
}

echo json_encode($array);

exit();
}





add_action( 'wp_ajax_kRadio', 'kradio_return_callback' );
add_action( 'wp_ajax_nopriv_kRadio', 'kradio_return_callback' );